<?php
/*
* 2007-2013 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author PrestaShop SA <contact@prestashop.com>
*  @copyright  2007-2013 PrestaShop SA
*  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/

if (!defined('_CAN_LOAD_FILES_'))
exit;
	
class fbcomment extends Module
{
	public function __construct()
	{
		$this->name = 'fbcomment';
		$this->tab = 'front_office_features';
		$this->version = '1.0';

		parent::__construct();

		$this->displayName = $this->l('Facebook Comments');
		$this->description = $this->l('Allows you to put facebook comments ');
	}
	
	public function install()
	{
		return (parent::install() AND Configuration::updateValue('url_comment', 'http://www.devilthemes.com') && Configuration::updateValue('comment_width', '600') && Configuration::updateValue('no_of_posts', '20') && $this->registerHook('productTab') && $this->registerHook('productTabContent'));
		
	}
	
	public function uninstall()
	{
		//Delete configuration			
		return (Configuration::deleteByName('url_comment') AND Configuration::deleteByName('comment_width') AND Configuration::deleteByName('no_of_posts') AND parent::uninstall() && $this->unregisterHook('productTab') && $this->unregisterHook('productTabContent'));
	}
	
	public function getContent()
	{
		// If we try to update the settings
		$output = '';
		if (isset($_POST['submitModule']))
		{	
			Configuration::updateValue('url_comment', (($_POST['url_comment'] != '') ? $_POST['url_comment']: ''));
			Configuration::updateValue('comment_width', (($_POST['comment_width'] != '') ? $_POST['comment_width']: ''));		
			Configuration::updateValue('no_of_posts', (($_POST['no_of_posts'] != '') ? $_POST['no_of_posts']: ''));				
			$this->_clearCache('fbcomment.tpl');
			$output = '<div class="conf confirm">'.$this->l('Configuration updated').'</div>';
		}
		
		return '
		<iframe src="http://www.devilthemes.com/ads/" width="100%" height="100" style="border:none"></iframe>
		<h2>'.$this->displayName.'</h2>
		'.$output.'
		<form action="'.Tools::htmlentitiesutf8($_SERVER['REQUEST_URI']).'" method="post">
			<fieldset class="width3">				
				<label for="url_comment">'.$this->l('URL to comment on: ').'</label>
				<input type="text" id="url_comment" name="url_comment" value="'.Tools::safeOutput((Configuration::get('url_comment') != "") ? Configuration::get('url_comment') : "").'" /> ex : http://www.devilthemes.com
				<div class="clear">&nbsp;</div>		
				<label for="comment_width">'.$this->l('Width: ').'</label>
				<input type="text" id="comment_width" name="comment_width" value="'.Tools::safeOutput((Configuration::get('comment_width') != "") ? Configuration::get('comment_width') : "").'" /> ex: 500
				<div class="clear">&nbsp;</div>		
				<label for="no_of_posts">'.$this->l('Number of posts : ').'</label>
				<input type="text" id="no_of_posts" name="no_of_posts" value="'.Tools::safeOutput((Configuration::get('no_of_posts') != "") ? Configuration::get('no_of_posts') : "").'" /> ex : 20
				<div class="clear">&nbsp;</div>						
				<br /><center><input type="submit" name="submitModule" value="'.$this->l('Update settings').'" class="button" /></center>
			</fieldset>
		</form>';
	}
	
	public function hookProductTabContent()
	{
		/* $this->context->controller->addCSS(($this->_path).'fbcomment.css', 'all'); */
		if (!$this->isCached('fbcomment.tpl', $this->getCacheId()))
			$this->smarty->assign(array(
				'url_comment' => Configuration::get('url_comment'),
				'comment_width' => Configuration::get('comment_width'),
				'no_of_posts' => Configuration::get('no_of_posts')
			));
		return ($this->display(__FILE__, '/fbcomment.tpl'));
	}
		
	public function hookProductTab()
	{
		/*
		if (!$this->isCached('fbcomment.tpl', $this->getCacheId()))
			$this->smarty->assign(array(
				'url_comment' => Configuration::get('url_comment'),
				'comment_width' => Configuration::get('comment_width'),
				'no_of_posts' => Configuration::get('no_of_posts')
			));

		return $this->display(__FILE__, 'fbcomment.tpl', $this->getCacheId());
		*/
		return ($this->display(__FILE__, '/fbtab.tpl'));
	}
}
?>
